#' Multi-Step Adaptive Estimation Methods for Sparse Regressions
#'
#' Multi-step adaptive elastic-net (MSAENet) algorithm for
#' feature selection in high-dimensional regressions proposed in
#' Xiao and Xu (2015) <DOI:10.1080/00949655.2015.1016944>,
#' with support for multi-step adaptive MCP-Net (MSAMNet) and
#' multi-step adaptive SCAD-Net (MSASNet) methods.
#'
#' Browse the vignette with \code{vignette("msaenet")}.
#'
#' @references
#' Nan Xiao and Qing-Song Xu. (2015). Multi-step adaptive elastic-net:
#' reducing false positives in high-dimensional variable selection.
#' \emph{Journal of Statistical Computation and Simulation} 85(18), 3755--3765.
#'
#' @name msaenet-package
#' @docType package
#' @author Nan Xiao <\email{me@@nanx.me}>
NULL
